#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	tar
Version		:	1.35
Release		:	17.0.10.rel%{?dist}
Summary		:	A GNU file archiving program
Group		:	Applications/Archiving

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://www.gnu.org/software/tar/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Provides	:	/bin/%{name}
#-----------------------------------------------------------------------------
%description
The GNU tar program saves many files together in one archive and can
restore individual files (or all of the files) from that archive. Tar
can also be used to add supplemental files to an archive and to update
or list files in the archive. Tar includes multivolume support,
automatic archive compression/decompression, the ability to perform
remote archives, and the ability to perform incremental and full
backups.

If you want to use tar for remote backups, you also need to install
the rmt package on the remote box.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS
%{_bindir}/tar
%{_libexecdir}/rmt
%{_defaultdocdir}/%{name}-%{version}/%{name}.html/*
%{_infodir}/%{name}.info*.gz
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man8/rmt.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

FORCE_UNSAFE_CONFIGURE=1				\
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-lzip=%{_bindir}/lzip			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	TESTSUITEFLAGS=%{_smp_mflags}			\
	check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__make}						\
	-C doc						\
	DESTDIR=%{buildroot}				\
	docdir=%{_defaultdocdir}/%{name}-%{version}	\
	install-html

%{__rm} -fr %{buildroot}%{_infodir}/dir

%find_lang	%{name}
#-----------------------------------------------------------------------------
%changelog
